> # NAME

> cgD3D10TranslateHRESULT - convert an HRESULT into a string

> # SYNOPSIS

>       #include <Cg/cgD3D10.h>

>       const char * cgD3D10TranslateHRESULT( HRESULT hr );

> # PARAMETERS

> hr

>   The HRESULT to translate. Can be a generic HRESULT or a D3D runtime error.

> # RETURN VALUES

> Returns a pointer to a string describing the error.

> # DESCRIPTION

> cgD3D10TranslateHRESULT converts an HRESULT into a string. This routine should be called instead of DXGetErrorDescription10 because it will also translate errors that the Cg D3D runtime generates.

> This routine will typically be called in debugging situations such as inside an error callback set using cgSetErrorCallback.

> # EXAMPLES

>       char buf[512];
>       HRESULT hres = cgD3D10GetLastError();
>       if (FAILED(hres))
>       {
>           sprintf(buf, "A D3D error occurred. Error description: '%s'\n",
>                   cgD3D10TranslateHRESULT(hres));
>           OutputDebugString(buf);
>       }

> # ERRORS

> None.

> # HISTORY

> cgD3D10TranslateHRESULT was introduced in Cg 2.1.

> # SEE ALSO

> cgD3D10TranslateCGerror, cgGetErrorString, cgSetErrorCallback